{ pkgs ? import <nixpkgs> {} }:
let
    localAdjustments = if (builtins.pathExists ./.local.shell.nix) then import ./.local.shell.nix pkgs else (x: x);
in
pkgs.mkShell (localAdjustments {
    nativeBuildInputs = with pkgs; [ 
        gnumake
        gcc
        glib
        libpulseaudio
        alsa-lib
        xorg.libX11
        xorg.libXext
        xorg.libXinerama
        libusb1
        udev
        pkg-config
    ];
})
